* {
    box-sizing: border-box;
    padding: 0px;
    margin: 0px;
}
input[type="number"]::-webkit-inner-spin-button {
    width: 8rem;
    height: 2rem;
}
html {
    font-size: 100%;
}
body {
    font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS",
        sans-serif;
    background-color: #d5dadf;
}
.header {
    display: flex;
    justify-content: center;
    background-color: white;
    align-items: center;
    border-bottom: 0.1rem solid black;
}
.header i {
    font-size: 2.5rem;
}
.title {
    text-align: center;
    font-size: 2.5rem;
    font-weight: 600;
    padding: 1rem;
}

.main{
    background-color: white;
    width: 80%;
    margin: auto;
    padding: 2rem;
    margin-top: 3rem;
    margin-bottom: 3rem;
    border: 0.1rem solid black;
    border-radius: 0.5rem;
}
.form-section {
    padding: 0.5rem;
}
.form-section-title {
    text-align: left;
    font-size: 1.5rem;
    display: flex;
}
.form-section-title p {
    padding: 0.5rem;
    border: 0.1px solid black;
    margin-right: 0.2rem;
    cursor: pointer;
    background-color: #d5dadf;
}
.form-holder {
    margin-top: 0.5rem;
    border: 0.1rem solid black;
    padding: 3rem 0rem;
}
form {
    width: 80%;
    margin: auto;
}
form input {
    text-align: center;
    padding: 0.8rem;
    border: 0.1rem solid black;
    font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS",
        sans-serif;
}

#inputItemName {
    width: 100%;
    margin-bottom: 2rem;
}
#inputItemQuantity {
    width: 50%;
}
#inputItem {
    width: 15%;
    float: right;
    cursor: pointer;
    border: 0.1rem solid green;
    color: green;
    border-radius: 0.4rem;
    background-color: white;
}
#inputItem:hover {
    background-color: green;
    border: 0.1rem solid black;
    color: white;
}
.cancelBtn {
    width: 15%;
    padding: 0.8rem;
    float: right;
    cursor: pointer;
    border: 0.1rem solid #ff4136;
    color: #ff4136;
    border-radius: 0.4rem;
    background-color: white;
    margin-right: 0.5rem;
}
.cancelBtn:hover {
    background-color: #ff4136;
    border: 0.1rem solid black;
    color: white;
}

.grocery {
    padding: 0.5rem;
    margin-top: 2rem;
}
.grocery-title {
    text-align: left;
    font-size: 1.5rem;
    border: 0.1px solid black;
    width: fit-content;
    padding: 0.5rem;
    background-color: #d5dadf;
    cursor: default;
}
.grocery-holder {
    margin-top: 0.5rem;
    border: 0.1rem solid black;
    padding: 3rem 0rem;
    overflow: scroll;
    max-height: 40rem;
}
.grocery-list {
    list-style: none;
    width: 80%;
    margin: auto;
}
.grocery-list-item {
    width: 100%;
    padding: 0.8rem;
    margin-bottom: 2rem;
    border: 0.1rem solid black;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}
.grocery-list-item .name {
    width: 60%;
    display: flex;
    align-items: center;
    justify-content: left;
}
.grocery-list-item .quantity {
    width: fit-content;
    padding: 0.8rem 0.8rem;
    font-size: 0.8rem;
    display: flex;
    align-items: center;
    justify-content: center;
    color: brown;
    border: 0.1rem solid brown;
    border-radius: 0.4rem;
}
.grocery-list-item button {
    padding: 0.6rem;
    width: 12%;
    background-color: white;
    font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS",
        sans-serif;
    font-size: 1rem;
    text-align: center;
    cursor: pointer;
    border-radius: 0.4rem;
}
.grocery-list-item .edit {
    border: 0.1rem solid #0074d9;
    color: #0074d9;
}
.grocery-list-item .edit:hover {
    background-color: #0074d9;
    border: 0.1rem solid black;
    color: white;
}
.grocery-list-item .delete {
    border: 0.1rem solid #ff4136;
    color: #ff4136;
}
.grocery-list-item .delete:hover {
    background-color: #ff4136;
    border: 0.1rem solid black;
    color: white;
}
.saveBtn {
    border: 0.1rem solid #0074d9 !important;
    color: #0074d9 !important;
}
.saveBtn:hover {
    background-color: #0074d9 !important;
    border: 0.1rem solid black !important;
    color: white !important;
}
.hidden {
    display: none;
}
@media only screen and (min-width: 1000px) and (max-width: 1240px) {
    html {
        font-size: 100%;
    }
    form {
        width: 85%;
    }
    .main {
        width: 85%;
        padding: 1rem;
    }
    .grocery-list {
        width: 85%;
    }
}
@media only screen and (min-width: 800px) and (max-width: 1000px) {
    html {
        font-size: 100%;
    }
    .main {
        width: 85%;
        padding: 1rem;
    }
    form {
        width: 85%;
    }
    .grocery-list {
        width: 85%;
    }
}
@media only screen and (min-width: 580px) and (max-width: 800px) {
    html {
        font-size: 90%;
    }
    .main {
        width: 95%;
        padding: 1rem;
    }
    form {
        width: 92%;
    }
    .grocery-list {
        width: 85%;
    }
    .grocery-list-item .name {
        width: 40%;
    }

    .grocery-list-item button {
        padding: 0.6rem;
        width: 21%;
    }
}

@media only screen and (min-width: 410px) and (max-width: 580px) {
    html {
        font-size: 80%;
    }
    .main {
        width: 95%;
        padding: 0.5rem;
    }
    form {
        width: 92%;
    }
    .grocery-list {
        width: 92%;
    }
    .grocery-list-item .name {
        width: 50%;
    }
    .grocery-list-item .quantity {
        width: 10%;
    }
    .grocery-list-item button {
        padding: 0.6rem;
        width: 18%;
    }
}
@media only screen and (min-width: 300px) and (max-width: 410px) {
    html {
        font-size: 70%;
    }
    .main {
        width: 95%;
        padding: 0.5rem;
    }
    form {
        width: 92%;
    }
    .grocery-list {
        width: 92%;
    }
    .grocery-list-item .name {
        width: 45%;
    }

    .grocery-list-item button {
        padding: 0.3rem;
        width: 20%;
    }
}